/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/

jsLoader.loadSubScript("chrome://libopensi/content/rdfds.js");
jsLoader.loadSubScript("chrome://libopensi/content/load_rdf.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/verif.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/resolution.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/communication.js");
jsLoader.loadSubScript("chrome://opensi/content/crm/libs/date_heure_widget.js");

// identifiant de communication
var identifiant_communication;

// mode de la fentre
// N : Nouvelle fiche
// M : Fiche  modifier
var mode_communication;


/**
 * Initialisation de la fentre
 */
function init() {
	try {
        document.getElementById("box_gestion_communication").collapsed = false;
        identifiant_communication =( ParamValeur("Id_Communication") == "" ? null : ParamValeur("Id_Communication"));
        mode_communication = (ParamValeur("Mode") == "" ? "N" : ParamValeur("Mode"));
        init_resolution_communication(null, identifiant_communication, mode_communication);
	} catch (e) {
        recup_erreur('erreur dans crm/user/communications/resolution_communication.js#init : '+ e);
    }
}

/**
 * finaliser les enregistrements au clic sur OK
 */
function finaliserEnregistrements() {
    try {
        window.arguments[0](); // rafrachir historique
    }  catch (e) {
        recup_erreur('erreur dans crm/user/communications/resolution_communication.js#init : '+ e);
    }
}
