/******************************************************************************/
/* AEL Sarl : Web hosting, datacenter, gestion et comptabilit dportes      */
/* Copyright (C) 2008 Affaires En Ligne S.A.R.L.                              */
/* Contact : contact@affaires-en-ligne.fr                                     */
/* Web : http://www.spidboutic.fr                                             */
/*                                                                            */
/* This program is free software; you can redistribute it and/or              */
/* modify it under the terms of the GNU General Public License                */
/* as published by the Free Software Foundation; either version 2             */
/* of the License, or (at your option) any later version.                     */
/*                                                                            */
/* This program is distributed in the hope that it will be useful,            */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of             */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the               */
/* GNU General Public License for more details.                               */
/*                                                                            */
/* You should have received a copy of the GNU General Public License          */
/* along with this program; if not, write to the Free Software                */
/* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA. */
/******************************************************************************/


jsLoader.loadSubScript("chrome://opensi/content/libs/arbres.js");
jsLoader.loadSubScript("chrome://opensi/content/libs/query.js");

var aDossiers = new Arbre("crm", "rechercherDossier.tmpl", "tree_dossiers");


function init() {
	try {
      	parent.document.getElementById("nom_dossier").value = "";
		init_tree();
	} catch (e) {
        dump(e);
        recup_erreur('erreur dans crm/user/menu.js#init : '+ e);
    }
}

function init_tree() {
    try {
    
	    aDossiers.setParam("Dossier_Id", document.getElementById('dossier').value);
  	    aDossiers.initTree();
	    document.getElementById('dossier').focus();
    } catch (e) {
        recup_erreur('erreur dans crm/user/menu.js#init_tree : '+ e);
    }
}

function ok() {
	try {

  	    var dossier = document.getElementById("dossier").value;

		var httpRequest = new QueryHttp("CRM/existeDossier.tmpl");
		httpRequest.setParam("Dossier_Id", dossier);
		var p = httpRequest.execute();

		var message = p.responseXML.documentElement.getAttribute("message");
		if (message == "existe") {
		    var raison = p.responseXML.documentElement.getAttribute("raison");
     	    set_cookie('Dossier_Id',dossier);
		    set_cookie('BaseDossier',"FACT_"+ dossier);
		    set_cookie('CRMDossier', "CRM_" + dossier);
		    parent.document.getElementById("nom_dossier").value = dossier +" - "+ raison;
     	    window.location = "chrome://opensi/content/crm/user/menu_crm.xul?"+ cookie();
   	    } else {
			aDossiers.initTree();
		}

	} catch (e) {
        recup_erreur('erreur dans crm/user/menu.js#ok : '+ e);
    }
}

function reporter(tree) {
	if (tree!=null && tree.currentIndex!=-1) {
 		document.getElementById("dossier").value = getCellText(tree,tree.currentIndex,'num');
	}
}

function keypress(e, id) {
    try {

  	    if (id=="dossier") {
            switch(e.keyCode) {
                case 13:
                ok();
                break;
                
                case 123:
                document.getElementById('tree_dossiers').focus();
                break;
            }
  	    }
	} catch (e) {
        recup_erreur('erreur dans crm/user/menu.js#keypress : '+ e);
    }
}
